<app-dialog-box *ngIf="dialogActive" 
                (onDialogClose)="dialogActive=false"
                [buttons]="dialogButtons" 
                [text]="[dialogText]" 
                (onBtnClick)="getChoice($event)">
</app-dialog-box>
<app-navbar></app-navbar>

<div *ngIf="quiz" class="container">
    <div class="quiz-header">
        <h1>{{quiz.name}}</h1>
        <h2 *ngIf="quiz.details">{{quiz.details}}</h2>
    </div>

    <table class="quiz-info">
        <tbody>
            <tr>
                <td>Author:</td>
                <td><img class="user-icon" [src]="uiService.getPhoto(quiz.author.photo)" alt="author profile photo"> <a class="user-link" href="">{{quiz.author.username}}</a></td>
            </tr>
            <tr>
                <td>Number of questions:</td>
                <td>{{quiz.question_number}}</td>
            </tr>
        </tbody>
    </table>

    <div class="game-modes">
        <button class="play-btn" (click)="startSingleplayer()"><img class="btn-icon" src="assets/singleplayer.svg"> Singleplayer</button>
        <button class="play-btn" (click)="openDialog()"><img class="btn-icon" src="assets/multiplayer.svg"> Multiplayer</button>
    </div>
</div>